Page MenuHomeMiraheze

LocalSetting.php and Photo Directory of wikiageing wiki
Closed, ResolvedPublic

Description

Hi Team,

Thank you For uploading the dump xml of https://wikiageing.miraheze.org/wiki

Now we need to add

0- localsetting
1- users
2- photos folder

How can i do that.

Revisions and Commits

Event Timeline

Videojeux4 triaged this task as Normal priority.Aug 15 2018, 15:33
Videojeux4 added a project: Configuration.

@Bachounda

0 - You must either give us what configuration you need, or look to see what already can be done with Special:ManageWiki.

1 - Users. We can import the users though you must give us names + emails where to send passwords

2 - The image folder you sent me was empty. If you send me one with images, I can import it for you

@Bachounda

0 - You must either give us what configuration you need, or look to see what already can be done with Special:ManageWiki.

1 - Users. We can import the users though you must give us names + emails where to send passwords

2 - The image folder you sent me was empty. If you send me one with images, I can import it for you

@Reception123

Thanks for the replay and your support

0-

This is the FavIcon

to aff to the wiki

For the localsettings.php

we downloaded directly from the website and you can change it as you like for the new hosted wiki

1- For the users we let that after the website launching .

2 - There are the link of the images folder 329 pictures compressed

This request is very confusing but I can help in regards to the favicon. Please follow these steps to update your favicon:

  • Downsize your desired favicon to 35x35px. You can do this through a variety of internet tools and locally installed software.
  • Upload your 35x35px favicon to your wiki through 'Special:Upload'.
  • Once you upload your favicon, go to the file page of it, right click it and click "open image in new tab"
  • Now you should be on a blank page with your favicon only. Go up to your search bar and select over everything past "https:". You should have something similar to '//static.miraheze.org/metawiki/3/35/Miraheze_Logo.svg'. Copy this by selecting over it and clicking "Copy" or use the Ctrl+C shortcut on your keyboard.
  • Then go to your 'Special:ManageWiki' page and scroll down to the "Favicon" field. In there, paste your directory link that you got above.
  • Provide a reason like 'Updating favicon' and then click submit.

Any questions, please ping me.

Tagging @Reception123.

Don't know if this task is relevant to you anymore but there may be some work still here that can be done on a sysadmin end.

@Bachounda Any progress on updating the logo for your wiki?

@Bachounda mind uploading the images as a tar or tar.gz please?

Update on this request:

I think we only do users in exceptions.

Most of the extensions/skins have already been enabled if not all of them have (when looking at your LS.php)

The only thing left will be to do this config

$wgForeignFileRepos[] = array(
   'class'                   => 'ForeignAPIRepo',
   'name'                    => 'arwiki',
   'apibase'                 => 'https://ar.wikipedia.org/w/api.php',
   'hashLevels'              => 2,
   'fetchDescription'        => true,
   'descriptionCacheExpiry'  => 43200,
   'apiThumbCacheExpiry'     => 86400,
 );
$wgForeignFileRepos[] = array(
   'class'                   => 'ForeignAPIRepo',
   'name'                    => 'enwiki',
   'apibase'                 => 'https://en.wikipedia.org/w/api.php',
   'hashLevels'              => 2,
   'fetchDescription'        => true,
   'descriptionCacheExpiry'  => 43200,
   'apiThumbCacheExpiry'     => 86400,
 );

and to import the images.

Paladox closed this task as Resolved by committing Unknown Object (Diffusion Commit).Sep 19 2018, 16:45
Paladox added a commit: Unknown Object (Diffusion Commit).
Paladox added a commit: Unknown Object (Diffusion Commit).Sep 20 2018, 16:31

Apologies for the delayed response
Thank you very much to the team for correcting the configuration of the wiki.
We need to finish configuring the parameters, we want to change the Arabic numerals into international numbers like 0123456789

Cheers